#include "X3D_TextureTransform.h"

namespace X3DTK {
namespace X3D {

TextureTransform::TextureTransform()
{
  defineTypeName("TextureTransform");
}

TextureTransform::TextureTransform(const SFVec2f &center, const SFFloat &rotation, const SFVec2f &scale, const SFVec2f &translation)
: X3DTextureTransform2DNode(center, rotation, scale, translation)
{
  defineTypeName("TextureTransform");
}

TextureTransform::TextureTransform(const TextureTransform &T)
: X3DTextureTransform2DNode(T)
{
}

SFAbstractNode TextureTransform::clone() const
{
  return new TextureTransform(*this);
}

TextureTransform::~TextureTransform()
{
}

}
}
